xGehaeuse = 70 ;
yGehaeuse = 38;
zGehaeuse = 10;  //>=15

x7Segment = 60+1.2+0.3;
z7Segment = 14+0.7+0.3;
dzg7 = (zGehaeuse - z7Segment)/2;
dxg7 = (xGehaeuse - x7Segment)/2;
w = 1.0; //Wandstaerke
wr = 1.5;  //Wandstaerke LED-Rahmen

fussVomRand=7;
dispZ=18;
dBolzen=8;
dBohr=3.0;
dLoch=3.8;
dLed=3.5;
fn=40;
fn2=180;

yAufl=14+7.32-14.82+0.5;
r = 20; //Eckenradius
rv = 2;  //Eckenradius vertikal

DeckelOffset=0.7;
//---------------------------------------------------------------------
//----------------------------------------Teil1-----------------
*union(){
color("white")
difference(){
    minkowski(){
		minkowski(){
			translate([0,0.01,0])
				cube([xGehaeuse, yGehaeuse+0.01, zGehaeuse]);
          sphere(r=rv, $fn=fn);
//			cylinder(r=rv, h=1, $fn=fn);
		}
		rotate([90,0,0])
		cylinder(r=r, h=1, $fn=fn2);
	}
    minkowski(){
		minkowski(){
			translate([w,w-0.01,w-0.01])
                cube([xGehaeuse-w-w, yGehaeuse, zGehaeuse-w-w]);
            sphere(r=rv, $fn=fn);
			//cylinder(r=rv, h=1, $fn=fn);
		}
		rotate([90,0,0])
		cylinder(r=r, h=1, $fn=fn2);
	}
	//Ausschnitt	
	color("red")
	translate([(xGehaeuse - x7Segment)/2, -11, zGehaeuse-2])
	rotate([-kipp,0,0])
	cube([x7Segment, 22, z7Segment]);
    
    //LED-Löcher
	rotate([90,0,0])
	cylinder(r=r, h=1, $fn=fn);
    
}
//Halterahmen
	color("red")
	translate([(xGehaeuse - x7Segment)/2, -rv, zGehaeuse-2])
difference(){
	translate([-wr, 0.01, -wr])
    cube([x7Segment+wr+wr, yAufl, z7Segment+wr+wr]);
    cube([x7Segment, yAufl*2, z7Segment]);
}
//----------Deckelrahmen----------------
color("brown")
translate([0, yGehaeuse-rv-1, -r-1.5])
rotate([180,0,0])
rotate([0,0,-90])
prism(xGehaeuse, -6, -3);


translate([0, yGehaeuse-rv-1, 1+r+zGehaeuse])
rotate([180,0,0])
rotate([0,0,-90])
difference(){
  prism(xGehaeuse, -6, 3);
  translate([-10,xGehaeuse/2-7.5,-10])  
  cube([20,15,20]);
}
//------------- 4 Eck-Bolzen -----------------
translate([dBolzen-r+w-1,  -rv,  dBolzen-r])
color("blue")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yGehaeuse - w);    
    cylinder(d=dBohr, h=yGehaeuse, $fn=15 );
}

translate([xGehaeuse-dBolzen+r-w+1,  -rv,  dBolzen-r])
color("cyan")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yGehaeuse - w);    
    cylinder(d=dBohr, h=yGehaeuse, $fn=15 );
}

translate([dBolzen-r+w-1,  -rv,  zGehaeuse-dBolzen+r])
color("pink")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yGehaeuse - w);    
    cylinder(d=dBohr, h=yGehaeuse, $fn=15 );
}

translate([xGehaeuse-dBolzen+r-w+1,  -rv,  zGehaeuse-dBolzen+r])
color("orange")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yGehaeuse - w);    
    cylinder(d=dBohr, h=yGehaeuse, $fn=15);
}

//------------Display-Bolzen-------------
translate([xGehaeuse/2,  -rv,  zGehaeuse+dBolzen+r-10.7])
color("green")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yAufl );    
    cylinder(d=dBohr, h=yAufl+1, $fn=15 );
}
translate([xGehaeuse/2,  -rv,  zGehaeuse-z7Segment-dBolzen+r-4])
color("red")
rotate([-90,0,0])
difference(){
    cylinder(d=dBolzen, h=yAufl );    
    cylinder(d=dBohr, h=yAufl+1, $fn=15 );
}


//----------------- Füße --------------
color("green")
translate([0, fussVomRand,-r-0.6])
difference(){
  scale([1,1,0.8])  
  sphere(r=5, $fn=fn);
  translate([-50,-50,0])
  cube([100,100,100]);
}  
color("green")
translate([xGehaeuse, fussVomRand,-r-0.6])
difference(){
  scale([1,1,0.8])  
  sphere(r=5, $fn=fn);
  translate([-50,-50,0])
  cube([100,100,100]);
}  


color("orange")
translate([0, yGehaeuse-fussVomRand,-r-0.6])
difference(){
  scale([1,1,0.8])  
  sphere(r=5, $fn=fn);
  translate([-50,-50,0])
  cube([100,100,100]);
}  
color("green")
translate([xGehaeuse, yGehaeuse-fussVomRand,-r-0.6])
difference(){
  scale([1,1,0.8])  
  sphere(r=5, $fn=fn);
  translate([-50,-50,0])
  cube([100,100,100]);
}  
//Bodenversteifung
  translate([-4,-rv,-r-1])
  cube([xGehaeuse+8,yGehaeuse-1,1]);

}

//----------------------------------------Teil2-----------------
translate([0,yGehaeuse,0])
difference(){
    union(){
        color("gray")
        minkowski(){
            translate([(DeckelOffset-rv)/2, 0, (DeckelOffset-rv)/2])
            cube([xGehaeuse+rv-DeckelOffset, w, zGehaeuse+rv-DeckelOffset]);
            rotate([90,0,0])
            cylinder(r=r, h=1, $fn=fn2);
        }
        color("red")
        translate([-0.5,-w-2, -r+1])
        cube([13,3,10]);
    }
    //------------- 4 Eck-Loecher -----------------
    translate([dBolzen-r+w-1,  -rv,  dBolzen-r])
        rotate([-90,0,0])
        cylinder(d=dLoch, h=yGehaeuse, $fn=15 );

    translate([xGehaeuse-dBolzen+r-w+1,  -rv,  dBolzen-r])
        rotate([-90,0,0])
        cylinder(d=dLoch, h=yGehaeuse, $fn=15 );


    translate([dBolzen-r+w-1,  -rv,  zGehaeuse-dBolzen+r])
    rotate([-90,0,0])
        cylinder(d=dLoch, h=yGehaeuse, $fn=15 );

    translate([xGehaeuse-dBolzen+r-w+1,  -rv,  zGehaeuse-dBolzen+r])
    rotate([-90,0,0])
        cylinder(d=dLoch, h=yGehaeuse, $fn=15);


    //------------- Kabel-Loch -----------------
    hull(){
    translate([6,  -10,  5-r])
        rotate([-90,0,0])
        cylinder(d=7, h=99, $fn=15 );
    translate([6,  -10,  -10-r])
        rotate([-90,0,0])
        cylinder(d=7, h=99, $fn=15 );
    }
}


//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}



